local WaterBlock = {}
local lightBlue = {173 / 255, 216 / 255, 230 / 255, 255 / 255}

WaterBlock.name = "SelfishHelper/WaterBlock"
WaterBlock.depth = 8998
WaterBlock.canResize = {true, true}
WaterBlock.justification = {0.5, 0.5}
WaterBlock.placements = {
    name = "normal",
	data = {
		width = 8,
		height = 8,
		movePlayer = false,
		legacyMovePlayer = false
	},
	placementType = "rectangle"
}
WaterBlock.fillColor = {lightBlue[1] * 0.3, lightBlue[2] * 0.3, lightBlue[3] * 0.3, 0.6}
WaterBlock.borderColor = {lightBlue[1] * 0.8, lightBlue[2] * 0.8, lightBlue[3] * 0.8, 0.8}

return WaterBlock