local WaterMoveBlock = {}
local lightBlue = {173 / 255, 216 / 255, 230 / 255, 255 / 255}

WaterMoveBlock.name = "SelfishHelper/WaterMoveBlock"
WaterMoveBlock.depth = 8998
WaterMoveBlock.canResize = {true, true}
WaterMoveBlock.justification = {0.5, 0.5}
WaterMoveBlock.fieldInformation = {
	direction = {
		options = {
			Left = "Left",
			Right = "Right",
			Down = "Down",
			Up = "Up"
		},
		editable = false
	}
}
WaterMoveBlock.placements = {
	{
		name = "normal",
		data = {
			width = 8,
			height = 8,
			movePlayer = false,
			legacyMovePlayer = false,
			direction = "Left",
			fast = false
		},
		placementType = "rectangle"
	},{
		name = "movePlayer",
		data = {
			width = 8,
			height = 8,
			movePlayer = true,
			legacyMovePlayer = false,
			direction = "Left",
			fast = false
		},
		placementType = "rectangle"
	}
}
WaterMoveBlock.fillColor = {lightBlue[1] * 0.3, lightBlue[2] * 0.3, lightBlue[3] * 0.3, 0.6}
WaterMoveBlock.borderColor = {lightBlue[1] * 0.8, lightBlue[2] * 0.8, lightBlue[3] * 0.8, 0.8}


return WaterMoveBlock