local WaterSwapBlock = {}
local lightBlue = {173 / 255, 216 / 255, 230 / 255, 255 / 255}

WaterSwapBlock.name = "SelfishHelper/WaterSwapBlock"
WaterSwapBlock.depth = 8998
WaterSwapBlock.canResize = {true, true}
WaterSwapBlock.justification = {0.5, 0.5}
WaterSwapBlock.nodeLimits = {1, 1}
WaterSwapBlock.fieldInformation = {
}
WaterSwapBlock.placements = {
	{
		name = "normal",
		data = {
			width = 8,
			height = 8,
			movePlayer = false,
			legacyMovePlayer = false
		},
		placementType = "rectangle"
	},{
		name = "movePlayer",
		data = {
			width = 8,
			height = 8,
			movePlayer = true,
			legacyMovePlayer = false
		},
		placementType = "rectangle"
	}
}
WaterSwapBlock.fillColor = {lightBlue[1] * 0.3, lightBlue[2] * 0.3, lightBlue[3] * 0.3, 0.6}
WaterSwapBlock.borderColor = {lightBlue[1] * 0.8, lightBlue[2] * 0.8, lightBlue[3] * 0.8, 0.8}


return WaterSwapBlock