local WaterSwitchGate = {}
local lightBlue = {173 / 255, 216 / 255, 230 / 255, 255 / 255}

WaterSwitchGate.name = "SelfishHelper/WaterSwitchGate"
WaterSwitchGate.depth = 8998
WaterSwitchGate.canResize = {true, true}
WaterSwitchGate.justification = {0.5, 0.5}
WaterSwitchGate.nodeLimits = {1, 1}
WaterSwitchGate.fieldInformation = {
}
WaterSwitchGate.placements = {
	{
		name = "normal",
		data = {
			width = 8,
			height = 8,
			movePlayer = false,
			legacyMovePlayer = false
		},
		placementType = "rectangle"
	},{
		name = "movePlayer",
		data = {
			width = 8,
			height = 8,
			movePlayer = true,
			legacyMovePlayer = false
		},
		placementType = "rectangle"
	}
}
WaterSwitchGate.fillColor = {lightBlue[1] * 0.3, lightBlue[2] * 0.3, lightBlue[3] * 0.3, 0.6}
WaterSwitchGate.borderColor = {lightBlue[1] * 0.8, lightBlue[2] * 0.8, lightBlue[3] * 0.8, 0.8}


return WaterSwitchGate