local WaterZipMover = {}
local lightBlue = {173 / 255, 216 / 255, 230 / 255, 255 / 255}

WaterZipMover.name = "SelfishHelper/WaterZipMover"
WaterZipMover.depth = 8998
WaterZipMover.canResize = {true, true}
WaterZipMover.justification = {0.5, 0.5}
WaterZipMover.nodeLimits = {1, 1}
WaterZipMover.fieldInformation = {
}
WaterZipMover.placements = {
	{
		name = "normal",
		data = {
			width = 8,
			height = 8,
			movePlayer = false,
			legacyMovePlayer = false
		},
		placementType = "rectangle"
	},{
		name = "movePlayer",
		data = {
			width = 8,
			height = 8,
			movePlayer = true,
			legacyMovePlayer = false
		},
		placementType = "rectangle"
	}
}
WaterZipMover.fillColor = {lightBlue[1] * 0.3, lightBlue[2] * 0.3, lightBlue[3] * 0.3, 0.6}
WaterZipMover.borderColor = {lightBlue[1] * 0.8, lightBlue[2] * 0.8, lightBlue[3] * 0.8, 0.8}


return WaterZipMover